import request from "../../common/request"
import { SYS_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/sys/office/save",
			method: "post",
			data: inputForm,
		});
	},

	drag: function (inputForm) {
		return request({
			url: prefix + "/sys/office/drag",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/sys/office/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/sys/office/queryById",
			method: "get",
			params: { id: id },
		});
	},

	treeData: function (params) {
		return request({
			url: prefix + "/sys/office/treeData",
			method: "get",
			params: params,
		});
	},
};
